package cs.cmu.edu.cs214.polymorphicdog;

/**
 * Contains an array of dogs, which can be walked.
 * @author
 *
 */
public class DogWalker {
	Dog[] dogs;
	
	public DogWalker(Dog[] dogs) {
		this.dogs = dogs;
	}
	
	/** 
	 *  Walks the array of dogs.
	 */
	public void walkDogs() {
		for (Dog d : dogs) {
			d.bark();  // dogs bark when you walk them
		}
	}
	// Note:  the loop above is exactly the same as:
	//   for (int i = 0; i < dogs.length; i++) 
	//       dogs[i].bark();
}
