package cs.cmu.edu.cs214.polymorphicdog;

/**
 * A German Shepherd specific implementation of AbstractDog
 * @author
 *
 */
public class GermanShepherd extends GenericDog {
	
	/**
	 * A constructor used to make a german shepherd.
	 */
	public GermanShepherd(String name) {
		this.setName(name);
		this.setBreed("GermanShepherd");
	}
	
	@Override
	public void bark() {
		System.out.println("BARK! BARK!");
	}

	/**
	 * Plays fetch with the dog
	 */
	public void play() {
		System.out.println(this.getName() + " fetched the ball!");
	}
}
